Skip to content

Retrieve specific schema

Request

This operation is used to retrieve individual schema definitions by his schema URI.

For example: /Schemas/urn:ietf:params:scim:schemas:core:2.0:User

Note: The contents of schema returned are described in Section 7 of [RFC7643].

Security
BearerAuth
Path
idstringrequired

The specific schema ID.

Example:urn:ietf:params:scim:schemas:core:2.0:Group
GET
/scim/v2/Schemas/{id}
curl -i -X GET \
  https://innovario.apishowdown.com/_mock/catalog/api-showdown/api-hub/admin/openapi/scim/v2/Schemas/urn:ietf:params:scim:schemas:core:2.0:Group \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successful GET operation

Bodyapplication/json
idanyrequired

The unique URI of the schema. When applicable, service providers must specify the URI, e.g., "urn:ietf:params:scim:schemas:core:2.0:User". Unlike most other schemas, which use some sort of Globally Unique Identifier (GUID) for the "id", the schema "id" is a URI so that it can be registered and is portable between different service providers and clients.

Example:"urn:ietf:params:scim:schemas:core:2.0:Group"
nameany

The schema's human-readable name. When applicable, service providers must specify the name, e.g., "User" or "Group".

Example:"Group"
descriptionany

The schema's human-readable description. When applicable, service providers must specify the description.

Example:"Group"
attributesArray of objects(Attribute)

A complex type that defines service provider attributes and their qualities via the following set of sub-attributes:

Example:
[ { "name": "displayName", "type": "string", "multiValued": false, "required": false, "caseExact": false, "mutability": "readWrite", "returned": "default", "uniqueness": "none" }, { "name": "members", "type": "complex", "multiValued": true, "required": false, "mutability": "readWrite", "returned": "default", "subAttributes": [] } ]
resourceTypestring

The name of the resource type of the resource.

createdstring, (date-time)

The "DateTime" that the resource was added to the service provider.

lastModifiedstring, (date-time)

The most recent DateTime that the details of this resource were updated at the service provider.

locationstring

The URI of the resource being returned.

versionstring

The version of the resource being returned.

Response
{ "id": "urn:ietf:params:scim:schemas:core:2.0:Group", "name": "Group", "description": "Group", "attributes": [ {}, {} ], "meta": { "resourceType": "Schema", "location": "https://example.com/v2/Schemas/urn:ietf:params:scim:schemas:core:2.0:Group" } }